---
# [샘플] Docker 컨테이너 관리

property:
  workspace: /path/to/project
  imageName: "myapp"
  imageTag: "latest"

pipeline:
  id: main
  workflow:
  - exe: docker-build
  - exe: docker-run

commands:
# Docker 이미지 빌드
- command: Docker
  id: docker-build
  param:
    command: build
    args:
    - "-t"
    - "<!property.imageName>:<!property.imageTag>"
    - "."

# Docker 컨테이너 실행
- command: Docker
  id: docker-run
  param:
    command: run
    args:
    - "-d"
    - "-p"
    - "8080:80"
    - "<!property.imageName>:<!property.imageTag>"
